# -*- coding: UTF-8 -*-

import config

def get(lang=config.lang):
	if(not lang.__class__ in [str, unicode]):
		lang = config.lang
	try:
		lang = lang.replace("-", "_")
		return strings.__dict__[lang]
	except KeyError:
		try:
			return strings.__dict__[config.lang]
		except KeyError:
			return strings.__dict__['en']


# If you change or add any strings in this file please contact the translators listed below
# Everything must be in UTF-8
# Look for language codes here - http://www.w3.org/WAI/ER/IG/ert/iso639.htm

class strings:
	class en: # English - James Bunton <mailto:james@delx.cjb.net>/Daniel Henninger <mailto:jadestorm@nc.rr.com>
		# Text that may get sent to the user. Useful for translations. Keep any %s symbols you see or you will have troubles later
		sessiongreeting = u"This is an experimental gateway, PyAIM-t. If you experience problems please contact Daniel Henninger <jadestorm@nc.rr.com>"
		registertext = u"Please type your AIM screen name into the username field and your password."
		notloggedin = u"Error. You must log into the transport before sending messages."
		notregistered = u"Sorry. You do not appear to be registered with this transport. Please register and try again. If you are having trouble registering please contact your Jabber administrator."
		waitforlogin = u"Sorry, this message cannot be delivered yet. Please try again when the transport has finished logging in."
		usernotonline = u"The user you specified is not currently online."
		groupchatinvite = u"You have been invited into a groupchat on the legacy service. You must join this room to switch into groupchat mode %s.\nIf you do not join this room you will not be able to participate in the groupchat, but you will still appear to have joined it to contacts on the AIM service."
		groupchatfailjoin1 = u"You did not join the groupchat room %s.\nThe following users were in the groupchat:"
		groupchatfailjoin2 = u"You have been removed from this room on the legacy service. The following was said before you were disconnected, while you appeared to be in the groupchat to the contacts on the legacy service."
		groupchatprivateerror = u"Sorry. You cannot send private messages to users in this groupchat. Please instead add the user to your contact list and message them that way."
		gatewaytranslator = u"Enter the user's AIM screen name."
		sessionnotactive = u"Your session with AIM is not active at this time."
	en_US = en # en-US is the same as en, so are the others
	en_AU = en
	en_GB = en

	class pl: # Polish - Tomasz Dominikowski (dominikowski@gmail.com)
		sessiongreeting = u"To jest eksperymentalny transport, PyAIM-t. Jeśli występują problemy proszę skontaktować się z Danielem Henningerem."
		registertext = u"Proszę podaj swój identyfikator AIM w polu nazwa_użytkownika oraz swoje hasło. "
		notloggedin = u"Błąd. Musisz zalogować się do transportu zanim rozpoczniesz wysyłanie wiadomości."
		notregistered = u"Wybacz, ale wygląda na to, że nie jesteś zarejestrowany w tym transporcie. Proszę zarejestruj się i spróbuj ponownie. Jeśli masz z rejestracją problemy skontaktuj się ze swoim administratorem Jabbera."
		waitforlogin = u"Wybacz, ta wiadomość nie może zostać dostarczona. Proszę spróbuj ponownie po zalogowaniu do transportu."
		groupchatinvite = u"Zostałeś zaproszony do grupowej rozmowy na zewnętrznej usłudze. Musisz dołączyć do pokoju aby wejść w tryb grupowej rozmowy %s.\\nJeśli nie dołączysz do pokoju nie będziesz mógł uczestniczyć w rozmowie grupowej, ale nadal będzie wyglądało, że dołączyłeś ten pokój do kontaktów w usłudze AIM."
		groupchatfailjoin1 = u"Nie dołączyłeś do pokoju rozmowy grupowej %s.\\nW pokoju znajdowali się następujący użytkownicy:"
		groupchatfailjoin2 = u"Zostałeś usunięty z tego pokoju na zewnętrznej usłudze. Następująca treść została przekazana zanim zostałeś rozłączony, ale nadal widoczny w rozmowie grupowej na zewnętrznej usłudze."
		groupchatprivateerror = u"Wybacz, nie możesz wysłać prywatnej wiadomości do użytkowników rozmowy grupowej. Zamiast tego dodaj użytkownika do listy kontaktów i wyślij wiadomość w zwyczajny sposób."
		gatewaytranslator = u"Podaj identyfikator AIM użytkownika."

	class nl: # Dutch - Matthias Therry (matthias.therry@pi.be)
		sessiongreeting = u"Dit is het experimentele transport, PyAIM-t. In geval van problemen, contacteer dan Daniel Henninger <jadestorm@nc.rr.com>"
		registertext = u"Voer je AIM-schermnaam en je wachtwoord in."
		notloggedin = u"Fout: Je moet eerst aanmelden op het transport alvorens berichten te versturen."
		notregistered = u"Sorry, je bent niet geregistreerd op dit transport. Registreer je eerst en probeer dan opnieuw. Contacteer de beheerder van je Jabberserver bij registratieproblemen."
		waitforlogin = u"Sorry, dit bericht kon nog niet worden afgeleverd. Probeer opnieuw wanneer het transport klaar is met aanmelden."
		groupchatinvite = u"Je bent uitgenodigd voor een groepsgesprek op het AIM-netwerk. Neem deel door om te schakelen naar groepsgesprekmodus %s.\\nAls je dit niet doet zal je niet kunnen deelnemen aan het gesprek, hoewel het voor de AIM-gebruikers lijkt alsof je toch aanwezig bent."
		groupchatfailjoin1 = u"Je hebt niet deelgenomen aan het groepsgesprek %s.\\nVolgende gebruikers zaten in het gesprek:"
		groupchatfailjoin2 = u"Je bent verwijderd uit het groepsgesprek op het AIM-netwerk. Het volgende werd gezegd voor de verbinding werd verbroken, terwijl je voor de andere deelnemers van het groepsgesprek aanwezig leek."
		groupchatprivateerror = u"Sorry, je kan geen privé-berichten sturen naar gebruikers in dit groepsgesprek. Voeg ze toe aan uw contactlijst om hen privé te kunnen spreken."
		gatewaytranslator = u"Voer de AIM-schermnaam van de gebruiker in."
	nl_NL = nl
	dut = nl
	nla = nl

	class fr: # French - Pyros (pyrosfr@yahoo.fr)
		sessiongreeting = u"La passerelle  PyAIM-t est experimentale. Si vous rencontrez des problèmes, contactez Daniel Henninger <jadestorm@nc.rr.com>"
		registertext = u"Veuillez entrer votre identifiant AIM dans le champ identifiant ainsi que votre mot de passe."
		notloggedin = u"Erreur. Vous devez vous identifier sur le transport avant d\'envoyer des messages"
		notregistered = u"Désolé. Vous ne semblez pas enregistré sur ce transport. Enregistrez vous et retentez. Si vous avez des problèmes pour vous enregistrer, contactez votre administrateur Jabber."
		waitforlogin = u"Désole, ce message n\'a pas pu être délivré. Veuillez retenter quand le transport aura fini de se connecter."
		groupchatinvite = u"Vous avez été invité sur un salon. Vous devez rejoindre le salon pour entrer en mode discussion%s.\\nSi vous ne rejoignez pas ce chat, vous ne pourrez pas participer au salon mais vous apparaitrez quand même dessus sur la liste des contact d\'AIM."
		groupchatfailjoin1 = u"Vous n\'avez pas rejoint le salon%s.\\nLes utilisateurs suivants etaient dans dans le salon:"
		groupchatfailjoin2 = u"Vous avez été déconnecté de ce salon. Voila ce qui a été dit avant votre déconnection pendant que vous apparaissiez encore sur la liste des connectés à ce salon."
		groupchatprivateerror = u"Désolé. Vous ne pouvez pas envoyé de messages privés dans un salon. Joutez le contact dans votre liste de contact et envoyez lui alors un message."
		gatewaytranslator = u"Entrez votre identifiant AIM."
